View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
17003Bug reportsPluginspublic2021-03-08 12:29
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynormalSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.25.8 
Summary17003: LDAP plugin - login lenght
DescriptionI have a problem with the number of characters in the user's login / email on Login Page. I currently have a 40-character limit so my users can't log in
Steps To ReproduceActivate AuthLDAP
Set AuthLDAP fro default login
Additional InformationCloning for 3LTS
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build) 3.25.8
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 16997 closedgabrieljenik Bug reports LDAP plugin - login lenght 
related to 17004 new Feature requests AuthPlugin : Form are not updated according to Auth type 
related to 15852 closedollehar Bug reports No login with long pssword 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-01-22 11:25

developer  

gabrieljenik

gabrieljenik

2021-02-22 15:47

manager   ~62445

https://github.com/LimeSurvey/LimeSurvey/pull/1778
Updated max length to 240
gabrieljenik

gabrieljenik

2021-02-25 18:39

manager   ~62532

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31207
lime_release_bot

lime_release_bot

2021-03-08 12:29

administrator   ~62876

Fixed in Release 3.25.16+210302

Related Changesets

LimeSurvey: 3.x-LTS d8be3bc7

2021-02-25 18:33:42

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17003: LDAP plugin - login lenght (#1778)

Updating length
Affected Issues
17003
mod - application/core/plugins/AuthLDAP/AuthLDAP.php Diff File

Issue History

Date Modified Username Field Change
2021-01-22 11:25 DenisChenu New Issue
2021-01-22 11:25 DenisChenu File Added: Capture d’écran du 2021-01-22 11-25-18.png
2021-01-22 11:25 DenisChenu Issue generated from: 16997
2021-01-22 11:35 DenisChenu Relationship added related to 16997
2021-01-22 11:35 DenisChenu Relationship added related to 17004
2021-01-25 23:01 cdorin Priority none => normal
2021-01-25 23:01 cdorin Status new => confirmed
2021-01-25 23:01 cdorin Sync to Zoho Project => |Yes|
2021-02-03 22:08 DenisChenu Relationship added related to 15852
2021-02-22 15:47 gabrieljenik Note Added: 62445
2021-02-25 18:39 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS d8be3bc7
2021-02-25 18:39 gabrieljenik Note Added: 62532
2021-02-25 18:39 gabrieljenik Assigned To => gabrieljenik
2021-02-25 18:39 gabrieljenik Resolution open => fixed
2021-03-08 12:29 lime_release_bot Sync to Zoho Project Yes => |Yes|
2021-03-08 12:29 lime_release_bot Note Added: 62876
2021-03-08 12:29 lime_release_bot Status confirmed => closed